Bug 1284003 - Review Request: eclipse-emf-mwe - Modelling Workflow Engine
Review Request: eclipse-emf-mwe - Modelling Workflow Engine
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 09:06 EST by Sopot Cela
Modified: 2015-11-23 04:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 04:36:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mat.booth: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Sopot Cela 2015-11-20 09:06:14 EST
Spec URL: https://sopotc.fedorapeople.org/eclipse-emf-mwe/eclipse-emf-mwe.spec
SRPM URL: https://sopotc.fedorapeople.org/eclipse-emf-mwe/eclipse-emf-mwe-2.9.0-0.1.gita872c98.fc23.src.rpm
Description:MWE is a framework for the integration and orchestration of model processing workflows.
Fedora Account System Username: sopotc

There is a cyclical dependency between this package and eclipse-xtext (for which I'll create a review shortly) thus there is a bootstrap mechanism to break the cycle.
Comment 1 Mat Booth 2015-11-20 10:28:01 EST
Some minor or cosmetic issues:

Issues:
=======
- Please fix the following rpmlint issues (spelling errors, line length, mixed use of tabs and spaces):

eclipse-emf-mwe.src: W: spelling-error Summary(en_US) Modelling -> Modeling, Model ling, Model-ling
eclipse-emf-mwe.src: W: spelling-error %description -l en_US workflows -> work flows, work-flows, workloads
eclipse-emf-mwe.src: E: description-line-too-long C MWE is a framework for the integration and orchestration of model processing workflows.
eclipse-emf-mwe.src:9: W: mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 5)

- Please use "%license" instead of "%doc" for the license document in the %files section.


Full report follows below:


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "EPL-1.0", "Unknown or generated". 485 files have unknown
     license. Detailed output of licensecheck in
     /home/mbooth/reviews/1284003-eclipse-emf-mwe/licensecheck.txt
[-]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/eclipse/droplets
[-]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/eclipse/droplets,
     /usr/share/eclipse
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local

Maven:
[-]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: eclipse-emf-mwe-2.9.0-0.1.gita872c98.fc24.noarch.rpm
          eclipse-emf-mwe-2.9.0-0.1.gita872c98.fc24.src.rpm
eclipse-emf-mwe.noarch: W: spelling-error Summary(en_US) Modelling -> Modeling, Model ling, Model-ling
eclipse-emf-mwe.noarch: W: spelling-error %description -l en_US workflows -> work flows, work-flows, workloads
eclipse-emf-mwe.noarch: E: description-line-too-long C MWE is a framework for the integration and orchestration of model processing workflows.
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/aopalliance_1.0.0.jar ../../../../../java/aopalliance.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/javax.mail.api_1.5.2.jar ../../../../../java/javamail/mailapi.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/org.apache.geronimo.specs.geronimo-annotation_1.1_spec_1.0.0.jar ../../../../../java/javax.enterprise.inject/[geronimo-annotation].jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/com.google.inject_4.0.0.jar ../../../../../java/google-guice-no_aop.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/org.apache.logging.log4j.api_2.3.0.jar ../../../../../java/log4j/log4j-api.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/org.apache.commons.cli_1.3.1.jar ../../../../../java/commons-cli.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/org.apache.logging.log4j.1.2-api_2.3.0.jar ../../../../../java/log4j.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/com.google.guava_18.0.0.jar ../../../../../java/guava.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/javax.mail-api_1.5.2.jar ../../../../../java/javamail/javax.mail-api.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/com.sun.mail.smtp_1.5.2.jar ../../../../../java/javamail/smtp.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/org.apache.geronimo.specs.geronimo-jms_1.1_spec_1.1.1.jar ../../../../../java/jms.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/org.apache.logging.log4j.core_2.3.0.jar ../../../../../java/log4j/log4j-core.jar
eclipse-emf-mwe.src: W: spelling-error Summary(en_US) Modelling -> Modeling, Model ling, Model-ling
eclipse-emf-mwe.src: W: spelling-error %description -l en_US workflows -> work flows, work-flows, workloads
eclipse-emf-mwe.src: E: description-line-too-long C MWE is a framework for the integration and orchestration of model processing workflows.
eclipse-emf-mwe.src:9: W: mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 5)
2 packages and 0 specfiles checked; 2 errors, 17 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
eclipse-emf-mwe.noarch: W: spelling-error Summary(en_US) Modelling -> Modeling, Model ling, Model-ling
eclipse-emf-mwe.noarch: W: spelling-error %description -l en_US workflows -> work flows, work-flows, workloads
eclipse-emf-mwe.noarch: E: description-line-too-long C MWE is a framework for the integration and orchestration of model processing workflows.
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/javax.mail-api_1.5.2.jar ../../../../../java/javamail/javax.mail-api.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/org.apache.logging.log4j.api_2.3.0.jar ../../../../../java/log4j/log4j-api.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/com.google.inject_4.0.0.jar ../../../../../java/google-guice-no_aop.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/org.apache.logging.log4j.core_2.3.0.jar ../../../../../java/log4j/log4j-core.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/org.apache.geronimo.specs.geronimo-annotation_1.1_spec_1.0.0.jar ../../../../../java/javax.enterprise.inject/[geronimo-annotation].jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/aopalliance_1.0.0.jar ../../../../../java/aopalliance.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/com.google.guava_18.0.0.jar ../../../../../java/guava.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/com.sun.mail.smtp_1.5.2.jar ../../../../../java/javamail/smtp.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/org.apache.commons.cli_1.3.1.jar ../../../../../java/commons-cli.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/javax.mail.api_1.5.2.jar ../../../../../java/javamail/mailapi.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/org.apache.logging.log4j.1.2-api_2.3.0.jar ../../../../../java/log4j.jar
eclipse-emf-mwe.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/emf-mwe/eclipse/plugins/org.apache.geronimo.specs.geronimo-jms_1.1_spec_1.1.1.jar ../../../../../java/jms.jar
1 packages and 0 specfiles checked; 1 errors, 14 warnings.



Requires
--------
eclipse-emf-mwe (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.google.inject:guice)
    mvn(commons-cli:commons-cli)
    mvn(commons-logging:commons-logging)
    osgi(com.google.guava)
    osgi(com.google.inject)
    osgi(org.apache.commons.cli)
    osgi(org.apache.logging.log4j.1.2-api)
    osgi(org.eclipse.emf.codegen.ecore)



Provides
--------
eclipse-emf-mwe:
    eclipse-emf-mwe
    mvn(org.eclipse.emf:org.eclipse.emf.mwe.core)
    mvn(org.eclipse.emf:org.eclipse.emf.mwe.utils)
    mvn(org.eclipse.emf:org.eclipse.emf.mwe2.lib)
    mvn(org.eclipse.emf:org.eclipse.emf.mwe2.parent:pom:)
    mvn(org.eclipse.emf:org.eclipse.emf.mwe2.runtime)
    osgi(org.eclipse.emf.mwe.core)
    osgi(org.eclipse.emf.mwe.utils)
    osgi(org.eclipse.emf.mwe2.lib)
    osgi(org.eclipse.emf.mwe2.runtime)



Source checksums
----------------
https://git.eclipse.org/c/emf/org.eclipse.mwe.git/snapshot/org.eclipse.mwe-a872c9825653f59ddd65ce620dc2f75fb1866c23.zip :
  CHECKSUM(SHA256) this package     : 289a7c0726835f19dfd80963cca3b271d685faf9552e2ceee96be2982f307abe
  CHECKSUM(SHA256) upstream package : 289a7c0726835f19dfd80963cca3b271d685faf9552e2ceee96be2982f307abe


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1284003
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Mat Booth 2015-11-20 10:48:03 EST
Perfect, thanks. Obviously I can't the non-bootstrap mode yet, but it looks good to me; approved.
Comment 4 Gwyn Ciesla 2015-11-20 17:06:35 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/eclipse-emf-mwe
Comment 5 Sopot Cela 2015-11-23 04:36:21 EST
Code pushed and koji builds succeeded.

Note You need to log in before you can comment on or make changes to this bug.